Subject: [bug#53920] [PATCH v3] gnu: lesspipe: Update to 2.03.

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 28 Feb 2022 10:56:57 +0100

Hello,

Hartmut Goebel <[email-masked]> writes:

> Am 27.02.22 um 23:22 schrieb Maxime Devos:
>> To make package transformations work, can #$perl-archive-zip be avoided
>> here?  Maybe:
>>
>> (substitute* [...]
>>    ([...]
>>     (string-append [...] (assoc-ref inputs "perl-archive-zip") [...])))
>
> FMPOV I can easily change this.
>
> Anyhow, I don't understand, why this is necessary for package
> transformations. I thought g-exps are the way to do it?

Actually, I think it should be the higher-level sexp:

  #$(this-package-input "perl-archive-zip")

instead of

  (assoc-ref inputs ...)

To answer your question, this is explained in
<https://guix.gnu.org/fr/blog/2021/the-big-change/>, in "G-expressions
and self-referential records".

Another nitpick: end-of-line comments only need a single semicolon, not
two.

Regards,
-- 
Nicolas Goaziou